Package com.google.android.exoplayer2.source.hls

## Class HlsManifest

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.HlsManifest

-     public final class HlsManifest
      extends Object

  Holds a multivariant playlist along with a snapshot of one of its media playlists.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `HlsMasterPlaylist` | `masterPlaylist` | Deprecated. Use `multivariantPlaylist` instead.
    `HlsMediaPlaylist` | `mediaPlaylist` | A snapshot of a media playlist referred to by `multivariantPlaylist`.
    `HlsMultivariantPlaylist` | `multivariantPlaylist` | The multivariant playlist of an HLS stream.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### masterPlaylist

          @Deprecated
          public final HlsMasterPlaylist masterPlaylist

      Deprecated.
      Use `multivariantPlaylist` instead.

    - #### multivariantPlaylist

          public final HlsMultivariantPlaylist multivariantPlaylist

      The multivariant playlist of an HLS stream.

    - #### mediaPlaylist

          public final HlsMediaPlaylist mediaPlaylist

      A snapshot of a media playlist referred to by `multivariantPlaylist`.